# Uses of Class
org.jdesktop.application.ApplicationActionMap

Packages that use ApplicationActionMap
Package
Description
org.jdesktop.application

## Uses of ApplicationActionMap in org.jdesktop.application

Methods in org.jdesktop.application that return ApplicationActionMap
Modifier and Type
Method
Description
`ApplicationActionMap`
ActionManager.`getActionMap()`
The `ActionMap` chain for the entire `Application`.
`ApplicationActionMap`
ActionManager.`getActionMap(Class actionsClass, Object actionsObject)`
Returns the `ApplicationActionMap` chain for the specified actions class and target object.
`final ApplicationActionMap`
ApplicationContext.`getActionMap()`
Returns the shared `ActionMap` chain for the entire `Application`.
`final ApplicationActionMap`
ApplicationContext.`getActionMap(Class actionsClass, Object actionsObject)`
Returns the `ApplicationActionMap` chain for the specified actions class and target object.
`final ApplicationActionMap`
ApplicationContext.`getActionMap(Object actionsObject)`
Defined as `getActionMap(actionsObject.getClass(), actionsObject)`.
Constructors in org.jdesktop.application with parameters of type ApplicationActionMap
Modifier
Constructor
Description
``
`ApplicationAction(ApplicationActionMap appAM, ResourceMap resourceMap, String baseName, Method actionMethod, String enabledProperty, boolean enabledNegated, String selectedProperty, String taskService, Task.BlockingScope block)`
Construct an `ApplicationAction` that implements an `@Action`.